# Class CIM_CredentialManagementCapabilities
extends CIM_EnabledLogicalElementCapabilities

CIM_CredentialManagementCapabilities describes the capabilities for managing credentials.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_CredentialManagementCapabilities

## Direct Known Subclasses

CIM_CertificateManagementCapabilities

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_CredentialManagementCapabilities describes the capabilities for managing credentials.
UMLPackagePath | string | CIM::User::SecurityServices
Version | string | 2.29.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CumulativePrivilegeMethodology | uint16 |

Description

string

Defines the methodology used by the implementation to accumulate the user's privileges for credentials or credential stores that are directly or indirectly associated with the CIM_CredentialManagementService that this instace represents the capability of. This methodology is applicable to the credentials and credential stores that are members of another credential store. The methodology describes how the same user's privilges for a credential gets reconciled with that user's privileges for the credential store that the credential belongs to. The methodology is also applicable for multi-level credential stores where one credential store is a member of another credential store. 2 - Collection Privileges Override - the user's privileges on the instance of CIM_CredentialStore that is referenced by the Collection property of CIM_MemberOfCollection association, overrides the same user's privileges on the CIM_Credential and/or CIM_CredentialStore referenced by the Member property of the same CIM_MemberOfCollection asscociation. 3 - Member Privileges Override - the user's privileges on the instance of CIM_Credential and/or CIM_CredentialStore that is referenced by the Member property of CIM_MemberOfCollection association, overrides the same user's privileges on the CIM_CredentialStore referenced by the Collection property of the same CIM_MemberOfCollection asscociation. 4 - Collection-Member Privileges Union - the user's privileges on the instance of CIM_Credential and/or CIM_CredentialStore that is referenced by the Member property of CIM_MemberOfCollection association, are added to the same user's privileges on the CIM_CredentialStore referenced by the Collection property of the same CIM_MemberOfCollection asscociation. 5 - Collection-Member Privileges Intersection - the user's privileges on the instance of CIM_Credential and/or CIM_CredentialStore that is referenced by the Member property of CIM_MemberOfCollection association, are valid only if the privileges are mirrored with the same user's privileges on the CIM_CredentialStore referenced by the Collection property of the same CIM_MemberOfCollection asscociation.

ValueMap | string | 2, 3, 4, 5
Values | string | Collection Privileges Override, Member Privileges Override, Collection-Member Privileges Union, Collection-Member Privileges Intersection
SupportedMethods | uint16[] |
Description | string | Each enumeration corresponds to support for the like-named method of the associated CIM_CredentialManagementService instance(s) for the exception of "Delete Credential Instance" that refers to the capability of executing delete operation on the instances of the CIM_Credential subclasses.
ValueMap | string | 4, .., 0x8000..
Values | string | DeleteCredentialInstance, DMTF Reserved, Vendor Specific

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods